# Interface Signature.BaseTypeSig

All Superinterfaces:
  `Signature`

Enclosing interface:
  `Signature`

public static sealed interface Signature.BaseTypeSig extends Signature
Models the signature of a primitive type (JLS §4.2) or void.

See Java Language Specification:
  4.2 Primitive Types and Values
See Java Virtual Machine Specification:
  4.7.9.1 Signatures
Since:
  24

## Nested Class Summary

### Nested classes/interfaces declared in interface Signature

`Signature.ArrayTypeSig, Signature.BaseTypeSig, Signature.ClassTypeSig, Signature.RefTypeSig, Signature.ThrowableSig, Signature.TypeArg, Signature.TypeParam, Signature.TypeVarSig`
Modifier and Type
Interface
Description
`static interface`
`Signature.ArrayTypeSig`
Models the signature of an array type.
`static interface`
`Signature.BaseTypeSig`
Models the signature of a primitive type (JLS §4.2) or void.
`static interface`
`Signature.ClassTypeSig`
Models the signature of a possibly-parameterized class or interface type.
`static interface`
`Signature.RefTypeSig`
Models the signature of a reference type, which may be a class, interface, type variable, or array type.
`static interface`
`Signature.ThrowableSig`
Marker interface for a signature for a throwable type.
`static interface`
`Signature.TypeArg`
Models a type argument, an argument to a type parameter.
`static interface`
`Signature.TypeParam`
Models a signature for a type parameter of a generic class, interface, method, or constructor, which introduces a type variable.
`static interface`
`Signature.TypeVarSig`
Models the signature of a type variable.

## Method Summary

Modifier and Type
Method
Description
`char`
`baseType()`
Returns the single-letter descriptor for the base type.
`static Signature.BaseTypeSig`
`of(char baseType)`
Returns the signature of a primitive type or void.
`static Signature.BaseTypeSig`
`of(ClassDesc classDesc)`
Returns the signature of a primitive type or void.

### Methods declared in interface Signature

`signatureString`
Modifier and Type
Method
Description
`String`
`signatureString()`
Returns the raw signature string.

## Method Details

### baseType

char baseType()
Returns the single-letter descriptor for the base type.

Returns:
  the single-letter descriptor for the base type

### of

static Signature.BaseTypeSig of(ClassDesc classDesc)
Returns the signature of a primitive type or void.

Parameters:
  `classDesc` - a symbolic descriptor for the base type, must correspond to a primitive type
Returns:
  the signature of a primitive type or void
Throws:
  `IllegalArgumentException` - if the `classDesc` is not primitive

### of

static Signature.BaseTypeSig of(char baseType)
Returns the signature of a primitive type or void.

Parameters:
  `baseType` - the single-letter descriptor for the base type
Returns:
  the signature of a primitive type or void
Throws:
  `IllegalArgumentException` - if the `baseType` is not a valid descriptor character for a primitive type or void